using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.RGV
{
    [DataContract]
    public class WCS_RGV521 : IRGV521
    {
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }

        [DataMember(Order = 1)]
        public RGVCmdType CmdType { get; set; }

        [DataMember(Order = 2)]
        public short StartPosition { get; set; }

        [DataMember(Order = 3)]
        public short DestPosition { get; set; }

        [DataMember(Order = 4)]
        public short RES1 { get; set; }

        [DataMember(Order = 5)]
        public short RES2 { get; set; }

        [DataMember(Order = 6)]
        public short VoucherNo { get; set; }

        [DataMember(Order = 7)]
        public RGVSystemStatus SystemStatus { get; set; }

        [DataMember(Order = 8)]
        public RGVWorkMode WorkMode { get; set; }

        [DataMember(Order = 9)]
        public float Position { get; set; }

        [DataMember(Order = 10)]
        public float Mileage { get; set; }

        [DataMember(Order = 11)]
        public float RunTime { get; set; }

        [DataMember(Order = 12)]
        public RGVStatus Status { get; set; }
    }
}
